var fileTypes = [
	"rd",
	"Rd"
];
var keyEquivalent = "^~R";
var name = "Rd (R Documentation)";
var patterns = [
	{
		begin: "((\\\\)(?:alias|docType|keyword|name|title|description|value|note|concept|keyword|details|format|references|source|arguments|seealso|author))(\\{)",
		beginCaptures: {
			"1": {
				name: "keyword.other.section.rd"
			},
			"2": {
				name: "punctuation.definition.function.rd"
			},
			"3": {
				name: "punctuation.definition.arguments.begin.rd"
			}
		},
		contentName: "entity.name.tag.rd",
		end: "(\\})",
		endCaptures: {
			"1": {
				name: "punctuation.definition.arguments.end.rd"
			}
		},
		name: "meta.section.rd",
		patterns: [
			{
				include: "$self"
			}
		]
	},
	{
		begin: "((\\\\)(?:usage))(\\{)(?:\\n)?",
		beginCaptures: {
			"1": {
				name: "keyword.other.usage.rd"
			},
			"2": {
				name: "punctuation.definition.function.rd"
			},
			"3": {
				name: "punctuation.definition.arguments.begin.rd"
			}
		},
		contentName: "source.r.embedded",
		end: "(\\})",
		endCaptures: {
			"1": {
				name: "punctuation.definition.arguments.end.rd"
			}
		},
		name: "meta.usage.rd",
		patterns: [
			{
				include: "source.r"
			}
		]
	},
	{
		begin: "((\\\\)(?:examples))(\\{)(?:\\n)?",
		beginCaptures: {
			"1": {
				name: "keyword.other.examples.rd"
			},
			"2": {
				name: "punctuation.definition.function.rd"
			},
			"3": {
				name: "punctuation.definition.arguments.begin.rd"
			}
		},
		contentName: "source.r.embedded",
		end: "(^\\}$)",
		endCaptures: {
			"1": {
				name: "punctuation.definition.arguments.end.rd"
			}
		},
		name: "meta.examples.rd",
		patterns: [
			{
				include: "source.r"
			}
		]
	},
	{
		begin: "((\\\\)(?:author))(\\{)(?:\\n)?",
		beginCaptures: {
			"1": {
				name: "keyword.other.author.rd"
			},
			"2": {
				name: "punctuation.definition.function.rd"
			},
			"3": {
				name: "punctuation.definition.arguments.begin.rd"
			}
		},
		end: "(\\})",
		endCaptures: {
			"1": {
				name: "punctuation.definition.arguments.end.rd"
			}
		},
		name: "meta.author.rd"
	},
	{
		include: "text.tex.latex"
	}
];
var scopeName = "text.tex.latex.rd";
var uuid = "80A00288-FE7E-4E66-B5BF-4948A2828203";
var information_for_contributors = [
	"This file has been converted from https://github.com/REditorSupport/vscode-R/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var Rd__R_Documentation_ = {
	fileTypes: fileTypes,
	keyEquivalent: keyEquivalent,
	name: name,
	patterns: patterns,
	scopeName: scopeName,
	uuid: uuid,
	information_for_contributors: information_for_contributors
};

export { Rd__R_Documentation_ as default, fileTypes, information_for_contributors, keyEquivalent, name, patterns, scopeName, uuid };
