var angular = [
  {
    "title": "Angular Language Service",
    "properties": {
      "angular.log": {
        "type": "string",
        "enum": [
          "off",
          "terse",
          "normal",
          "verbose"
        ],
        "default": "off",
        "description": "Enables logging of the Angular server to a file. This log can be used to diagnose Angular Server issues. The log may contain file paths, source code, and other potentially sensitive information from your project.",
        "scope": 3
      },
      "angular.view-engine": {
        "type": "boolean",
        "default": false,
        "description": "Use legacy View Engine language service. This option is incompatible with projects using Angular v13 and above.",
        "scope": 3
      },
      "angular.enable-strict-mode-prompt": {
        "type": "boolean",
        "default": true,
        "markdownDescription": "Prompt to enable the [strictTemplates](https://angular.io/guide/angular-compiler-options#stricttemplates) flag in [angularCompilerOptions](https://angular.io/guide/angular-compiler-options). Note that strict mode is only available when using Ivy.",
        "scope": 3
      },
      "angular.trace.server": {
        "type": "string",
        "scope": 3,
        "enum": [
          "off",
          "messages",
          "verbose"
        ],
        "default": "off",
        "description": "Traces the communication between VS Code and the Angular language server."
      },
      "angular.suggest.includeAutomaticOptionalChainCompletions": {
        "type": "boolean",
        "default": true,
        "markdownDescription": "Enable/disable showing completions on potentially undefined values that insert an optional chain call. Requires TS 3.7+, strict null checks to be enabled and the `legacy View Engine` option to be disabled.",
        "scope": 3
      },
      "angular.suggest.includeCompletionsWithSnippetText": {
        "type": "boolean",
        "default": true,
        "markdownDescription": "Enable/disable snippet completions from Angular language server. Requires using TypeScript 4.3+ in the workspace and the `legacy View Engine` option to be disabled.",
        "scope": 3
      },
      "angular.disableAutomaticNgcc": {
        "type": "boolean",
        "default": false,
        "markdownDescription": "Disable the step to automatically run ngcc. [ngcc](https://github.com/angular/angular/blob/main/packages/compiler/design/architecture.md#high-level-proposal) is required to run and gather metadata from libraries not published with Ivy instructions. This can be run outside of VSCode instead (for example, as part of the build/rebuild in the CLI). Note that ngcc needs to run not only at startup, but also whenever the dependencies change. Failing to run ngcc when required can result in incomplete information and spurious errors reported by the language service.",
        "scope": 3
      },
      "angular.disableCodeActions": {
        "type": "boolean",
        "default": false,
        "markdownDescription": "Disable code actions in Angular contexts, including quick fixes in template files which add missing imports. Some code actions require global project analysis, so it may be desirable to disable them for performance reasons.",
        "scope": 3
      },
      "angular.forceStrictTemplates": {
        "type": "boolean",
        "default": false,
        "markdownDescription": "Enabling this option will force the language service to use [strictTemplates](https://angular.io/guide/angular-compiler-options#stricttemplates) and ignore the user settings in the `tsconfig.json`.",
        "scope": 3
      }
    }
  }
];

export { angular as default };
