var comments = {
	lineComment: "//",
	blockComment: [
		"/*",
		"*/"
	]
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	{
		open: "[",
		close: "]"
	},
	{
		open: "{",
		close: "}"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "'",
		close: "'",
		notIn: [
			"string",
			"comment"
		]
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	},
	{
		open: "/*",
		close: "*/",
		notIn: [
			"string",
			"comment"
		]
	}
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	],
	[
		"'",
		"'"
	],
	[
		"<",
		">"
	]
];
var wordPattern = "(-?\\d*\\.\\d\\w*)|([^\\`\\~\\!\\@\\#\\%\\^\\&\\*\\(\\)\\-\\=\\+\\[\\{\\]\\}\\\\\\|\\;\\:\\'\\\"\\,\\.\\<\\>\\/\\?\\s]+)";
var folding = {
	markers: {
		start: "^\\s*#pragma\\s+region\\b",
		end: "^\\s*#pragma\\s+endregion\\b"
	}
};
var cpp = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	wordPattern: wordPattern,
	folding: folding
};

export { autoClosingPairs, brackets, comments, cpp as default, folding, surroundingPairs, wordPattern };
