var name = "dune-project";
var scopeName = "source.dune-project";
var fileTypes = [
	"dune-project"
];
var patterns = [
	{
		include: "#stanzas"
	},
	{
		include: "source.dune#general"
	}
];
var repository = {
	stanzas: {
		patterns: [
			{
				comment: "lang",
				begin: "\\([[:space:]]*(lang)[[:space:]]+(dune)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					},
					"2": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "name",
				begin: "\\([[:space:]]*(name)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				contentName: "variable.other.declaration.dune-project",
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "version",
				begin: "\\([[:space:]]*(version)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				contentName: "constant.language.dune-project",
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "implicit_transitive_deps",
				begin: "\\([[:space:]]*(implicit_transitive_deps)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "wrapped_executables",
				begin: "\\([[:space:]]*(wrapped_executables)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "explicit_js_mode",
				match: "\\([[:space:]]*(explicit_js_mode)[[:space:]]*\\)",
				captures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				}
			},
			{
				comment: "dialect",
				begin: "\\([[:space:]]*(dialect)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						comment: "name",
						begin: "\\([[:space:]]*(name)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						contentName: "variable.other.declaration.dune-project",
						patterns: [
							{
								include: "source.dune#general"
							}
						]
					},
					{
						comment: "implementation/interface",
						begin: "\\([[:space:]]*(implementation|interface)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						patterns: [
							{
								comment: "extension/preprocess/format",
								begin: "\\([[:space:]]*(extension|preprocess|format)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-project"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							}
						]
					},
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "formatting",
				begin: "\\([[:space:]]*(formatting)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						name: "constant.language.dune-project",
						match: "\\b(disabled)\\b"
					},
					{
						begin: "\\([[:space:]]*(enabled_for)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						patterns: [
							{
								include: "source.dune#general"
							}
						]
					},
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "generate_opam_files",
				begin: "\\([[:space:]]*(generate_opam_files)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "package",
				begin: "\\([[:space:]]*(package)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						comment: "name",
						begin: "\\([[:space:]]*(name)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						contentName: "variable.other.declaration.dune-project",
						patterns: [
							{
								include: "source.dune#general"
							}
						]
					},
					{
						comment: "synopsis/description",
						begin: "\\([[:space:]]*(synopsis|description)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						patterns: [
							{
								include: "source.dune#general"
							}
						]
					},
					{
						comment: "depends/conflicts/depopts",
						begin: "\\([[:space:]]*(depends|conflicts|depopts)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						patterns: [
							{
								comment: "dependency",
								name: "variable.other.declaration.dune-project",
								match: "\\b([[:alpha:]-]+)\\b"
							},
							{
								comment: "dependency constraint",
								begin: "\\([[:space:]]*([[:alpha:]-]+)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "variable.other.declaration.dune-project"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								include: "source.dune#general"
							}
						]
					},
					{
						comment: "tags",
						begin: "\\([[:space:]]*(tags)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						contentName: "variable.other.declaration.dune-project",
						patterns: [
							{
								include: "source.dune#general"
							}
						]
					},
					{
						comment: "deprecated_package_names",
						begin: "\\([[:space:]]*(deprecated_package_names)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						patterns: [
							{
								include: "source.dune#general"
							}
						]
					},
					{
						include: "#opam-metadata"
					},
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "using",
				begin: "\\([[:space:]]*(using)([[:space:]]+menhir)?\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					},
					"2": {
						name: "variable.other.declaration.dune-project"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "cram",
				begin: "\\([[:space:]]*(cram)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				contentName: "variable.other.declaration.dune-project",
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				include: "#opam-metadata"
			}
		]
	},
	"opam-metadata": {
		patterns: [
			{
				comment: "license",
				begin: "\\([[:space:]]*(license)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				contentName: "constant.language.dune-project",
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "authors/maintainers",
				begin: "\\([[:space:]]*(authors|maintainers)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "source",
				begin: "\\([[:space:]]*(source)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						comment: "github",
						begin: "\\([[:space:]]*(github)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						patterns: [
							{
								name: "keyword.language.dune-project",
								match: "/"
							},
							{
								include: "source.dune#general"
							}
						],
						contentName: "string.other.line.dune-project"
					},
					{
						comment: "uri",
						begin: "\\([[:space:]]*(uri)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-project"
							}
						},
						patterns: [
							{
								include: "source.dune#general"
							}
						]
					},
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "bug_reports/homepage/documentation",
				begin: "\\([[:space:]]*(bug_reports|homepage|documentation)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-project"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/ocamllabs/vscode-ocaml-platform/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var duneProject = {
	name: name,
	scopeName: scopeName,
	fileTypes: fileTypes,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { duneProject as default, fileTypes, information_for_contributors, name, patterns, repository, scopeName };
