var name = "dune-workspace";
var scopeName = "source.dune-workspace";
var fileTypes = [
	"dune-workspace"
];
var patterns = [
	{
		include: "#stanzas"
	},
	{
		include: "source.dune#general"
	}
];
var repository = {
	stanzas: {
		patterns: [
			{
				comment: "lang",
				begin: "\\([[:space:]]*(lang)[[:space:]]+(dune)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-workspace"
					},
					"2": {
						name: "keyword.language.dune-workspace"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "profile",
				begin: "\\([[:space:]]*(profile)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-workspace"
					}
				},
				contentName: "variable.other.declaration.dune-project",
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "env",
				begin: "\\([[:space:]]*(env)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-workspace"
					}
				},
				patterns: [
					{
						include: "source.dune#general"
					}
				]
			},
			{
				comment: "context",
				begin: "\\([[:space:]]*(context)\\b",
				end: "\\)",
				beginCaptures: {
					"1": {
						name: "keyword.language.dune-workspace"
					}
				},
				patterns: [
					{
						comment: "default",
						name: "keyword.language.dune-workspace",
						match: "\\b(default)\\b"
					},
					{
						comment: "opam/default",
						begin: "\\([[:space:]]*(opam|default)\\b",
						end: "\\)",
						beginCaptures: {
							"1": {
								name: "keyword.language.dune-workspace"
							}
						},
						patterns: [
							{
								comment: "opam switch",
								begin: "\\([[:space:]]*(switch)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "name",
								begin: "\\([[:space:]]*(name)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "root",
								begin: "\\([[:space:]]*(root)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "merlin",
								begin: "\\([[:space:]]*(merlin)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "profile",
								begin: "\\([[:space:]]*(profile)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "env",
								begin: "\\([[:space:]]*(env)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "toolchain",
								begin: "\\([[:space:]]*(toolchain)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "host",
								begin: "\\([[:space:]]*(host)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "paths",
								begin: "\\([[:space:]]*(paths)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "fdo",
								begin: "\\([[:space:]]*(fdo)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "disable_dynamically_linked_foreign_archives",
								begin: "\\([[:space:]]*(disable_dynamically_linked_foreign_archives)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								comment: "targets",
								begin: "\\([[:space:]]*(targets)\\b",
								end: "\\)",
								beginCaptures: {
									"1": {
										name: "keyword.language.dune-workspace"
									}
								},
								patterns: [
									{
										include: "source.dune#general"
									}
								]
							},
							{
								include: "source.dune#general"
							}
						]
					},
					{
						include: "source.dune#general"
					}
				]
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/ocamllabs/vscode-ocaml-platform/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var duneWorkspace = {
	name: name,
	scopeName: scopeName,
	fileTypes: fileTypes,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { duneWorkspace as default, fileTypes, information_for_contributors, name, patterns, repository, scopeName };
