var erlang = [
  {
    "type": "object",
    "title": "Erlang",
    "properties": {
      "erlang.erlangPath": {
        "type": "string",
        "default": "",
        "description": "Directory where erl/escript are located. Leave empty to use default.",
        "scope": 3
      },
      "erlang.rebarPath": {
        "type": "string",
        "default": "",
        "description": "Directory where rebar/rebar3 are located. Leave empty to use default.",
        "scope": 3
      },
      "erlang.rebarBuildArgs": {
        "type": "array",
        "items": {
          "type": "string",
          "title": "argument",
          "default": ""
        },
        "default": [
          "compile"
        ],
        "description": "Arguments passed to rebar/rebar3 build command.",
        "scope": 3
      },
      "erlang.includePaths": {
        "type": "array",
        "items": {
          "type": "string",
          "title": "path",
          "default": ""
        },
        "default": [],
        "description": "Include paths used when extension analyses the sources. Paths are read from rebar.config, and also standard set of paths is used. This setting is for special cases when the default behaviour is not enough.",
        "scope": 3
      },
      "erlang.linting": {
        "type": "boolean",
        "default": true,
        "description": "Enable/disable dynamic validation of opened Erlang source files.",
        "scope": 3
      },
      "erlang.codeLensEnabled": {
        "type": "boolean",
        "default": false,
        "description": "Enable/disable references CodeLens on functions.",
        "scope": 3
      },
      "erlang.verbose": {
        "type": "boolean",
        "description": "Enable/disable technical traces for use in the extension development.",
        "default": false,
        "scope": 3
      },
      "erlang.debuggerRunMode": {
        "type": "string",
        "default": "external",
        "description": "Specifies how to run vscode debugadapter. Useful in extension development.",
        "enum": [
          "external",
          "server",
          "inline"
        ],
        "enumDescriptions": [
          "external : launch debug adapter in separate process",
          "server: launch debugadapter as a socket based server",
          "inline: launch debugadapter in current process"
        ],
        "scope": 3
      },
      "erlang.eep48Help": {
        "type": "boolean",
        "default": true,
        "description": "Enable/disable help based on Erlang documentation storage added in OTP 23. The setting is ignored in earlier versions.",
        "scope": 3
      },
      "erlang.formattingLineLength": {
        "type": "number",
        "default": 100,
        "description": "Maximum line length for document formatting.",
        "scope": 3
      }
    }
  }
];

export { erlang as default };
