var markdownBasicsMarkdown_codeSnippets = {
	"Insert bold text": {
	prefix: "bold",
	body: "**${1:${TM_SELECTED_TEXT}}**$0",
	description: "Insert bold text"
},
	"Insert italic text": {
	prefix: "italic",
	body: "*${1:${TM_SELECTED_TEXT}}*$0",
	description: "Insert italic text"
},
	"Insert quoted text": {
	prefix: "quote",
	body: "> ${1:${TM_SELECTED_TEXT}}",
	description: "Insert quoted text"
},
	"Insert inline code": {
	prefix: "code",
	body: "`${1:${TM_SELECTED_TEXT}}`$0",
	description: "Insert inline code"
},
	"Insert fenced code block": {
	prefix: "fenced codeblock",
	body: [
		"```${1|python,c,c++,c#,ruby,go,java,php,htm,css,javascript,json,markdown,console|}",
		"${TM_SELECTED_TEXT}$0",
		"```"
	],
	description: "Insert fenced code block"
},
	"Insert heading level 1": {
	prefix: "heading1",
	body: "# ${1:${TM_SELECTED_TEXT}}",
	description: "Insert heading level 1"
},
	"Insert heading level 2": {
	prefix: "heading2",
	body: "## ${1:${TM_SELECTED_TEXT}}",
	description: "Insert heading level 2"
},
	"Insert heading level 3": {
	prefix: "heading3",
	body: "### ${1:${TM_SELECTED_TEXT}}",
	description: "Insert heading level 3"
},
	"Insert heading level 4": {
	prefix: "heading4",
	body: "#### ${1:${TM_SELECTED_TEXT}}",
	description: "Insert heading level 4"
},
	"Insert heading level 5": {
	prefix: "heading5",
	body: "##### ${1:${TM_SELECTED_TEXT}}",
	description: "Insert heading level 5"
},
	"Insert heading level 6": {
	prefix: "heading6",
	body: "###### ${1:${TM_SELECTED_TEXT}}",
	description: "Insert heading level 6"
},
	"Insert unordered list": {
	prefix: "unordered list",
	body: [
		"- ${1:first}",
		"- ${2:second}",
		"- ${3:third}",
		"$0"
	],
	description: "Insert unordered list"
},
	"Insert ordered list": {
	prefix: "ordered list",
	body: [
		"1. ${1:first}",
		"2. ${2:second}",
		"3. ${3:third}",
		"$0"
	],
	description: "Insert ordered list"
},
	"Insert horizontal rule": {
	prefix: "horizontal rule",
	body: "----------\n",
	description: "Insert horizontal rule"
},
	"Insert link": {
	prefix: "link",
	body: "[${TM_SELECTED_TEXT:${1:text}}](${2:https://})$0",
	description: "Insert link"
},
	"Insert image": {
	prefix: "image",
	body: "![${TM_SELECTED_TEXT:${1:alt}}](${2:https://})$0",
	description: "Insert image"
},
	"Insert strikethrough": {
	prefix: "strikethrough",
	body: "~~${1:${TM_SELECTED_TEXT}}~~",
	description: "Insert strikethrough"
},
	"Insert inline math": {
	prefix: [
		"inline math"
	],
	body: "$${1:${TM_SELECTED_TEXT}}$",
	description: "Insert inline math"
},
	"Insert fenced math": {
	prefix: [
		"fenced math"
	],
	body: [
		"$$",
		"${1:${TM_SELECTED_TEXT}}",
		"$$"
	],
	description: "Insert fenced math"
}
};

export { markdownBasicsMarkdown_codeSnippets as default };
