var scopeName = "markdown.svelte.codeblock";
var fileTypes = [
];
var injectionSelector = "L:text.html.markdown";
var patterns = [
	{
		include: "#svelte-code-block"
	}
];
var repository = {
	"svelte-code-block": {
		begin: "(^|\\G)(\\s*)(\\`{3,}|~{3,})\\s*(?i:(svelte|sv)(\\s+[^`~]*)?$)",
		name: "markup.fenced_code.block.markdown",
		end: "(^|\\G)(\\2|\\s{0,3})(\\3)\\s*$",
		beginCaptures: {
			"3": {
				name: "punctuation.definition.markdown"
			},
			"5": {
				name: "fenced_code.block.language"
			},
			"6": {
				name: "fenced_code.block.language.attributes"
			}
		},
		endCaptures: {
			"3": {
				name: "punctuation.definition.markdown"
			}
		},
		patterns: [
			{
				begin: "(^|\\G)(\\s*)(.*)",
				"while": "(^|\\G)(?!\\s*([`~]{3,})\\s*$)",
				contentName: "meta.embedded.block.svelte",
				patterns: [
					{
						include: "source.svelte"
					}
				]
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/sveltejs/language-tools/blob/master/packages/svelte-vscode/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var markdownSvelte = {
	scopeName: scopeName,
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { markdownSvelte as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
