var $schema = "https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json";
var fileTypes = [
];
var injectionSelector = "L:text.html.markdown";
var patterns = [
	{
		include: "#vue-code-block"
	}
];
var repository = {
	"vue-code-block": {
		begin: "(^|\\G)(\\s*)(`{3,}|~{3,})\\s*(?i:(vue)((\\s+|:|,|\\{|\\?)[^`~]*)?$)",
		name: "markup.fenced_code.block.markdown",
		end: "(^|\\G)(\\2|\\s{0,3})(\\3)\\s*$",
		beginCaptures: {
			"3": {
				name: "punctuation.definition.markdown"
			},
			"4": {
				name: "fenced_code.block.language.markdown"
			},
			"5": {
				name: "fenced_code.block.language.attributes.markdown"
			}
		},
		endCaptures: {
			"3": {
				name: "punctuation.definition.markdown"
			}
		},
		patterns: [
			{
				include: "source.vue"
			}
		]
	}
};
var scopeName = "markdown.vue.codeblock";
var information_for_contributors = [
	"This file has been converted from https://github.com/johnsoncodehk/volar/blob/master/vue-language-tools/vscode-vue/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var markdownVue = {
	$schema: $schema,
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { $schema, markdownVue as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
