var scopeName = "source.action.menhir";
var injectionSelector = "L:source.embedded-action.menhir";
var patterns = [
	{
		begin: "(\\$(?:startpos|endpos|startofs|endofs|loc))[[:space:]]*\\(",
		beginCaptures: {
			"1": {
				name: "keyword.other.menhir"
			}
		},
		end: "\\)",
		patterns: [
			{
				include: "#anon-capture"
			},
			{
				include: "source.ocaml.menhir#token-name"
			},
			{
				include: "source.ocaml.menhir#production-name"
			}
		]
	},
	{
		match: "\\$(?:startpos|endpos|symbolstartpos|startofs|endofs|symbolstartofs|loc|sloc)\\b",
		name: "keyword.other.menhir"
	},
	{
		include: "#anon-capture"
	}
];
var repository = {
	"anon-capture": {
		match: "\\$[[:digit:]]+\\b",
		name: "keyword.other.menhir"
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/ocamllabs/vscode-ocaml-platform/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var menhirAction = {
	scopeName: scopeName,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { menhirAction as default, information_for_contributors, injectionSelector, patterns, repository, scopeName };
