import * as monaco from 'monaco-editor';
import './languages';
import './theme';
import { ITextModelContentProvider } from 'vscode/services';
import './worker';
import 'monaco-editor/esm/vs/editor/editor.all';
import 'monaco-editor/esm/vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp';
import 'monaco-editor/esm/vs/editor/standalone/browser/iPadShowKeyboard/iPadShowKeyboard';
import 'monaco-editor/esm/vs/editor/standalone/browser/quickAccess/standaloneHelpQuickAccess';
import 'monaco-editor/esm/vs/editor/standalone/browser/quickAccess/standaloneGotoLineQuickAccess';
import 'monaco-editor/esm/vs/editor/standalone/browser/quickAccess/standaloneGotoSymbolQuickAccess';
import 'monaco-editor/esm/vs/editor/standalone/browser/quickAccess/standaloneCommandsQuickAccess';
import 'monaco-editor/esm/vs/editor/standalone/browser/referenceSearch/standaloneReferenceSearch';
import { EditorOpenHandler } from './tools/EditorOpenHandlerRegistry';
declare function createEditor(domElement: HTMLElement, options?: monaco.editor.IStandaloneEditorConstructionOptions): monaco.editor.IStandaloneCodeEditor;
declare function registerTextModelContentProvider(scheme: string, provider: ITextModelContentProvider): monaco.IDisposable;
declare function registerEditorOpenHandler(handler: EditorOpenHandler): monaco.IDisposable;
export { createEditor, registerTextModelContentProvider, registerEditorOpenHandler };
