var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	},
	{
		open: "(*",
		close: "*",
		notIn: [
			"string"
		]
	},
	{
		open: "[|",
		close: "|",
		notIn: [
			"string"
		]
	}
];
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"[|",
		"|]"
	]
];
var comments = {
	blockComment: [
		"(*",
		"*)"
	]
};
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"'",
		"'"
	],
	[
		"\"",
		"\""
	]
];
var indentationRules = {
	decreaseIndentPattern: "^\\s*(end|done|with|in|else)\\b|^\\s*;;",
	increaseIndentPattern: "\\b(begin|object)\\s*$|\\blet [a-zA-Z0-9_-]+( [^ ]+)* =\\s*$|method!?[ \\t]+.*=[ \\t]*$|->[ \\t]*$|\\b(for|while)(_lwt)?[ \\t]+.*[ \\t]+do[ \\t]*$|(\\btry(_lwt)?$|\\bif\\s+.*\\sthen$|\\belse|[:=]\\s*sig|=\\s*struct)\\s*$",
	indentNextLinePattern: "(?!\\bif.*then.*(else.*|(;|[ \\t]in)[ \\t]*$))\\bif|\\bthen[ \\t]*$|\\belse[ \\t]*$$"
};
var onEnterRules = [
	{
		beforeText: "\\(\\*\\*",
		afterText: "\\*\\)",
		action: {
			indent: "none",
			appendText: "    "
		}
	},
	{
		beforeText: "\\(\\*",
		afterText: "\\*\\)",
		action: {
			indent: "none",
			appendText: "   "
		}
	}
];
var ocaml = {
	autoClosingPairs: autoClosingPairs,
	brackets: brackets,
	comments: comments,
	surroundingPairs: surroundingPairs,
	indentationRules: indentationRules,
	onEnterRules: onEnterRules
};

export { autoClosingPairs, brackets, comments, ocaml as default, indentationRules, onEnterRules, surroundingPairs };
