var ocaml = [
  {
    "title": "OCaml Platform",
    "properties": {
      "ocaml.sandbox": {
        "type": "object",
        "default": null,
        "description": "Determines where to find the sandbox for a given project",
        "scope": 3
      },
      "ocaml.server.extraEnv": {
        "type": [
          "null",
          "object"
        ],
        "default": null,
        "markdownDescription": "Extra environment variables that will be passed to OCaml LSP executable. Useful for debugging purposes mostly.",
        "scope": 3
      },
      "ocaml.server.args": {
        "type": "array",
        "items": "string",
        "default": [],
        "markdownDescription": "Extra arguments to pass to ocamllsp.",
        "scope": 3
      },
      "ocaml.dune.autoDetect": {
        "type": "boolean",
        "default": true,
        "description": "Controls whether dune tasks should be automatically detected.",
        "scope": 3
      },
      "ocaml.trace.server": {
        "description": "Controls the logging output of the language server. Valid settings are `off`, `messages`, or `verbose`.",
        "type": "string",
        "enum": [
          "off",
          "messages",
          "verbose"
        ],
        "default": "off",
        "scope": 3
      },
      "ocaml.useOcamlEnv": {
        "type": "boolean",
        "default": true,
        "description": "Controls whether to use ocaml-env (if available) for opam commands from OCaml for Windows.",
        "scope": 3
      },
      "ocaml.terminal.shell.linux": {
        "description": "The path of the shell that the sandbox terminal uses on Linux",
        "type": [
          "string",
          "null"
        ],
        "default": null,
        "scope": 3
      },
      "ocaml.terminal.shell.osx": {
        "description": "The path of the shell that the sandbox terminal uses on macOS",
        "type": [
          "string",
          "null"
        ],
        "default": null,
        "scope": 3
      },
      "ocaml.terminal.shell.windows": {
        "description": "The path of the shell that the sandbox terminal uses on Windows",
        "type": [
          "string",
          "null"
        ],
        "default": null,
        "scope": 3
      },
      "ocaml.terminal.shellArgs.linux": {
        "description": "The command line arguments that the sandbox terminal uses on Linux",
        "type": [
          "array",
          "null"
        ],
        "items": "string",
        "default": null,
        "scope": 3
      },
      "ocaml.terminal.shellArgs.osx": {
        "description": "The command line arguments that the sandbox terminal uses on macOS",
        "type": [
          "array",
          "null"
        ],
        "items": "string",
        "default": null,
        "scope": 3
      },
      "ocaml.terminal.shellArgs.windows": {
        "description": "The command line arguments that the sandbox terminal uses on Window",
        "type": [
          "array",
          "null"
        ],
        "items": "string",
        "default": null,
        "scope": 3
      },
      "ocaml.repl.path": {
        "description": "The path of the REPL that the extension uses",
        "type": [
          "string",
          "null"
        ],
        "default": null,
        "scope": 3
      },
      "ocaml.repl.args": {
        "description": "The REPL arguments that the extension uses",
        "type": [
          "array",
          "null"
        ],
        "items": "string",
        "default": null,
        "scope": 3
      },
      "ocaml.repl.useUtop": {
        "type": "boolean",
        "default": true,
        "description": "Controls whether to use Utop for the REPL if it is installed in the current switch.",
        "scope": 3
      }
    }
  }
];

export { ocaml as default };
