var scopeName = "source.ocaml.ocamldoc";
var name = "comment.other.ocamldoc";
var fileTypes = [
	"mld"
];
var patterns = [
	{
		name: "comment.other.ocamldoc",
		begin: "",
		end: "",
		patterns: [
			{
				include: "#markup"
			}
		]
	}
];
var repository = {
	markup: {
		patterns: [
			{
				comment: "ocamldoc documentation tag",
				name: "keyword.doc-tag.ocamldoc",
				match: "\\@[[:lower:]]+"
			},
			{
				comment: "embedded ocaml source",
				begin: "(?<!\\\\)\\[",
				end: "(?<!\\\\)\\]",
				contentName: "source.embedded.ocamldoc",
				patterns: [
					{
						include: "source.ocaml"
					}
				]
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/ocamllabs/vscode-ocaml-platform/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var ocamldoc = {
	scopeName: scopeName,
	name: name,
	fileTypes: fileTypes,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { ocamldoc as default, fileTypes, information_for_contributors, name, patterns, repository, scopeName };
