var comments = {
	lineComment: "//",
	blockComment: [
		"/*",
		"*/"
	]
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	}
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	],
	[
		"<",
		">"
	]
];
var indentationRules = {
	increaseIndentPattern: "^.*\\{[^}\"']*$|^.*\\([^\\)\"']*$",
	decreaseIndentPattern: "^\\s*(\\s*\\/[*].*[*]\\/\\s*)*[})]"
};
var folding = {
	markers: {
		start: "^\\s*//\\s*#?region\\b",
		end: "^\\s*//\\s*#?endregion\\b"
	}
};
var rust = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	indentationRules: indentationRules,
	folding: folding
};

export { autoClosingPairs, brackets, comments, rust as default, folding, indentationRules, surroundingPairs };
