var $schema = "https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json";
var name = "semanticdb";
var scopeName = "source.semanticdb";
var extensions = [
	".semanticdb-detailed",
	".semanticdb-compact"
];
var patterns = [
	{
		include: "#general"
	}
];
var repository = {
	general: {
		patterns: [
			{
				comment: "For recognizing ranges and the following right or left arrow",
				match: "(\\[[0-9]+:[0-9]+\\.\\.[0-9]+:[0-9]+\\))\\s+(=>|<=)",
				captures: {
					"1": {
						name: "comment.line"
					},
					"2": {
						name: "constant.language.semanticdb"
					}
				}
			},
			{
				comment: "For recognizing symbol and the following right or left arrow",
				match: "^(\\w[^=\n]*)(=>|<=)(.*)$",
				captures: {
					"1": {
						name: "entity.name.type.semanticdb"
					},
					"2": {
						name: "constant.language.semanticdb"
					}
				}
			},
			{
				name: "entity.name.import.semanticdb",
				match: "(Summary|Symbols|Occurrences|Synthetics):"
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/scalameta/metals-vscode/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var semanticdb = {
	$schema: $schema,
	name: name,
	scopeName: scopeName,
	extensions: extensions,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { $schema, semanticdb as default, extensions, information_for_contributors, name, patterns, repository, scopeName };
