var comments = {
	blockComment: [
		"<!--",
		"-->"
	]
};
var brackets = [
	[
		"<!--",
		"-->"
	],
	[
		"<",
		">"
	],
	[
		"{",
		"}"
	],
	[
		"(",
		")"
	],
	[
		"[",
		"]"
	]
];
var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "'",
		close: "'"
	},
	{
		open: "\"",
		close: "\""
	},
	{
		open: "`",
		close: "`",
		notIn: [
			"comment",
			"string"
		]
	},
	{
		open: "<!--",
		close: "-->",
		notIn: [
			"comment",
			"string"
		]
	},
	{
		open: "/**",
		close: "*/",
		notIn: [
			"string"
		]
	}
];
var autoCloseBefore = ";:.,=}])><`/ \n\t";
var surroundingPairs = [
	{
		open: "'",
		close: "'"
	},
	{
		open: "\"",
		close: "\""
	},
	{
		open: "`",
		close: "`"
	},
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "<",
		close: ">"
	}
];
var folding = {
	markers: {
		start: "^\\s*//\\s*#?region\\b|^<(template|style|script)[^>]*>|^\\s*<!--\\s*#region\\b",
		end: "^\\s*//\\s*#?endregion\\b|^</(template|style|script)>|^\\s*<!--\\s*#endregion\\b"
	}
};
var svelte = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	autoCloseBefore: autoCloseBefore,
	surroundingPairs: surroundingPairs,
	folding: folding
};

export { autoCloseBefore, autoClosingPairs, brackets, comments, svelte as default, folding, surroundingPairs };
