var assign = {
	prefix: "assign",
	body: [
		"assign ${1:var} = ${2:value};$0"
	],
	description: "Snippet for an assignment"
};
var force = {
	prefix: "force",
	body: [
		"force ${1:var} = ${2:value};$0"
	],
	description: "Snippet for a force assignment"
};
var always = {
	prefix: "always",
	body: [
		"always @(${1:sensitivity_list})",
		"begin",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for an always block"
};
var always_ff = {
	prefix: "always_ff",
	body: [
		"always_ff @(posedge ${1:clk} or negedge ${2:rst_n})",
		"begin",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for an always_ff block"
};
var always_latch = {
	prefix: "always_latch",
	body: [
		"always_latch",
		"begin",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for an always_latch block"
};
var always_comb = {
	prefix: "always_comb",
	body: [
		"always_comb",
		"begin",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for an always_comb block"
};
var elseif = {
	prefix: "else if",
	body: [
		"else if (${1:condition})",
		"begin${2:: block_name}",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for an else if"
};
var foreach = {
	prefix: "foreach",
	body: [
		"foreach (${1:arr}[${2:i}])",
		"begin",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for a foreach loop"
};
var task = {
	prefix: "task",
	body: [
		"task ${1:name}(${2:port_list});",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endtask"
	],
	description: "Snippet for a task definition"
};
var program = {
	prefix: "program",
	body: [
		"program ${1:name}(${2:port_list});",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endprogram"
	],
	description: "Snippet for a program definition"
};
var module = {
	prefix: "module",
	body: [
		"module ${1:name} (",
		"\t${2:port_list}",
		");",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endmodule"
	],
	description: "Snippet for a module definition"
};
var assert = {
	prefix: "assert",
	body: [
		"${1:label}: assert (${2:test})",
		"\telse \\$error(\"${0:Assertion ${1:label} failed!}\");"
	],
	description: "Snippet for an immediate assertion"
};
var property = {
	prefix: "property",
	body: [
		"property ${1:name};",
		"\t@(posedge ${2:clk}) ${0:test}",
		"endproperty"
	],
	description: "Snippet for a property"
};
var generate = {
	prefix: "generate",
	body: [
		"generate",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endgenerate"
	],
	description: "Snippet for a generate block"
};
var ternary = {
	prefix: "ter",
	body: [
		"$1 ? $2 : $3"
	],
	description: "Snippet for a ternary operator expression"
};
var reg = {
	prefix: "reg",
	body: [
		"reg $1;$0"
	],
	description: "Snippet for a register declaration"
};
var regarray = {
	prefix: "rega",
	body: [
		"reg [$1:$2] $3;$0"
	],
	description: "Snippet for a multi-bit register declaration"
};
var regmemory = {
	prefix: "regm",
	body: [
		"reg [$1:$2] $3 [$4:$5];$0"
	],
	description: "Snippet for a memory register declaration"
};
var wire = {
	prefix: "wire",
	body: [
		"wire $1;$0"
	],
	description: "Snippet for a wire declaration"
};
var wirearray = {
	prefix: "wirea",
	body: [
		"wire [$1:$2] $3;$0"
	],
	description: "Snippet for a multi-bit wire declaration"
};
var logic = {
	prefix: "logic",
	body: [
		"logic $1;$0"
	],
	description: "Snippet for a logic signal declaration"
};
var logicarray = {
	prefix: "logica",
	body: [
		"logic [$1:$2] $3;$0"
	],
	description: "Snippet for a multi-bit logic signal declaration"
};
var array = {
	prefix: "array",
	body: "[${1:8}:${2:0}]$0",
	description: "Snippet for a multi-bit register declaration"
};
var associative_array = {
	prefix: "assoc",
	body: "${1:type} ${2:name}[${3:index_type}];$0",
	description: "Snippet for a associative array declaration"
};
var separator = {
	prefix: "separator",
	body: [
		"// -------------------------------------------------------\n$0"
	],
	description: "Snippet for a separator"
};
var heading = {
	prefix: "heading",
	body: [
		"// -------------------------------------------------------",
		"// -- ${1:heading}",
		"// -------------------------------------------------------\n$0"
	],
	description: "Snippet for a heading"
};
var svlangserverSystemverilog = {
	assign: assign,
	force: force,
	always: always,
	always_ff: always_ff,
	always_latch: always_latch,
	always_comb: always_comb,
	"if": {
	prefix: "if",
	body: [
		"if (${1:condition})",
		"begin${2:: block_name}",
		"\t${3:pass}",
		"end"
	],
	description: "Snippet for an if statement"
},
	"if/else": {
	prefix: "if/else",
	body: [
		"if (${1:condition})",
		"begin${2:: block_name}",
		"\t${3:pass}",
		"end",
		"else",
		"begin${4:: block_name}",
		"\t${5:pass}",
		"end"
	],
	description: "Snippet for an if statement with else"
},
	elseif: elseif,
	"else": {
	prefix: "else",
	body: [
		"else",
		"begin${1:: block_name}",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for an else"
},
	"case": {
	prefix: "case",
	body: [
		"case (${1:variable})",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endcase"
	],
	description: "Snippet for a case statement"
},
	"case/default": {
	prefix: "case/default",
	body: [
		"case (${1:variable})",
		"\t${0:${TM_SELECTED_TEXT}}",
		"\tdefault:",
		"\tbegin${2:: block_name}",
		"\t\t${3:default_case}",
		"\tend",
		"endcase"
	],
	description: "Snippet for a case statement with default"
},
	"while": {
	prefix: "while",
	body: [
		"while (${1:expression})",
		"begin",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for a while loop"
},
	"for": {
	prefix: "for",
	body: [
		"for (int ${1:i}=0; ${1:i}<${2:MAX}; ++${1:i})",
		"begin${3:: block_name}",
		"\t${0:${TM_SELECTED_TEXT}}",
		"end"
	],
	description: "Snippet for a for loop"
},
	foreach: foreach,
	"function": {
	prefix: "function",
	body: [
		"function ${1:return_value} ${2:name}(${3:port_list});",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endfunction"
	],
	description: "Snippet for a function definition"
},
	task: task,
	"class": {
	prefix: "class",
	body: [
		"class ${1:name};",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endclass"
	],
	description: "Snippet for a class definition"
},
	"class/extends": {
	prefix: "class/extends",
	body: [
		"class ${1:name} extends ${2:super};",
		"\tfunction new();",
		"\t\t${0:${TM_SELECTED_TEXT}}",
		"\tendfunction",
		"endclass"
	],
	description: "Snippet for a class definition with extends"
},
	program: program,
	module: module,
	"module#(param)": {
	prefix: "module #(",
	body: [
		"module ${1:name} #(",
		"\t${2:parameters}",
		") (",
		"\t${3:port_list}",
		");",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endmodule"
	],
	description: "Snippet for a parameterized module definition"
},
	assert: assert,
	property: property,
	generate: generate,
	"typedef/struct": {
	prefix: "typedef/struct",
	body: [
		"typedef struct packed {",
		"\t${0:${TM_SELECTED_TEXT}}",
		"} ${1:name};"
	],
	description: "Snippet for a structure type definition"
},
	"typedef/enum": {
	prefix: "typedef/enum",
	body: [
		"typedef enum ${1:type} { ${0:${TM_SELECTED_TEXT}} } ${2:name};"
	],
	description: "Snippet for a enumeration type definition"
},
	"interface": {
	prefix: "interface",
	body: [
		"interface ${1:name};",
		"\t${0:${TM_SELECTED_TEXT}}",
		"endinterface"
	],
	description: "Snippet for an interface definition"
},
	ternary: ternary,
	reg: reg,
	regarray: regarray,
	regmemory: regmemory,
	wire: wire,
	wirearray: wirearray,
	logic: logic,
	logicarray: logicarray,
	array: array,
	associative_array: associative_array,
	separator: separator,
	heading: heading,
	"heading+description": {
	prefix: "heading+description",
	body: [
		"// -------------------------------------------------------",
		"// -- ${1:heading}",
		"// -------------------------------------------------------",
		"// ${2:description}",
		"// -------------------------------------------------------\n$0"
	],
	description: "Snippet for a heading with a block for description"
}
};

export { always, always_comb, always_ff, always_latch, array, assert, assign, associative_array, svlangserverSystemverilog as default, elseif, force, foreach, generate, heading, logic, logicarray, module, program, property, reg, regarray, regmemory, separator, task, ternary, wire, wirearray };
