var svlangserver = [
  {
    "title": "SystemVerilog Language Server",
    "properties": {
      "systemverilog.includeIndexing": {
        "type": "array",
        "default": [
          "**/*.{sv,svh,v,vh}"
        ],
        "description": "Files included for indexing (glob pattern).",
        "scope": 3
      },
      "systemverilog.excludeIndexing": {
        "type": "array",
        "default": [],
        "description": "Files excluded for indexing (glob pattern).",
        "scope": 3
      },
      "systemverilog.linter": {
        "type": "string",
        "enum": [
          "icarus",
          "verilator"
        ],
        "default": "verilator",
        "description": "Linter to use",
        "scope": 3
      },
      "systemverilog.launchConfiguration": {
        "type": "string",
        "default": "verilator -sv --lint-only --Wall",
        "description": "Command used for linting",
        "examples": [
          "verilator -sv --lint-only --Wall",
          "iverilog -t null"
        ],
        "scope": 3
      },
      "systemverilog.defines": {
        "type": "array",
        "default": [],
        "description": "Defines needed for linting.",
        "scope": 3
      },
      "systemverilog.lintOnUnsaved": {
        "type": "boolean",
        "default": true,
        "description": "Enable linting on unsaved files",
        "scope": 3
      },
      "systemverilog.formatCommand": {
        "type": "string",
        "default": "verible-verilog-format",
        "description": "Verible verilog format command",
        "scope": 3
      },
      "systemverilog.disableCompletionProvider": {
        "type": "boolean",
        "default": false,
        "description": "Disable auto completion provided by the language server",
        "scope": 3
      },
      "systemverilog.disableHoverProvider": {
        "type": "boolean",
        "default": false,
        "description": "Disable hover over help provided by the language server",
        "scope": 3
      },
      "systemverilog.disableSignatureHelpProvider": {
        "type": "boolean",
        "default": false,
        "description": "Disable signature help provided by the language server",
        "scope": 3
      },
      "systemverilog.disableLinting": {
        "type": "boolean",
        "default": false,
        "description": "Disable verilator linting",
        "scope": 3
      }
    }
  }
];

export { svlangserver as default };
