var $schema = "https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json";
var name = "TASTy";
var extensions = [
	".tasty-decoded"
];
var scopeName = "source.tasty";
var patterns = [
	{
		include: "#trees"
	},
	{
		include: "#keywords"
	},
	{
		include: "#lines"
	}
];
var repository = {
	trees: {
		patterns: [
			{
				name: "constant.language.tasty",
				match: "\\b(UNITconst|FALSEconst|TRUEconst|NULLconst|BYTEconst|SHORTconst|CHARconst|INTconst|LONGconst|FLOATconst|DOUBLEconst|STRINGconst)\\b"
			},
			{
				name: "keyword.control.tasty",
				match: "\\b(IF|WHILE|TRY|RETURN|THROW|NEW)\\b"
			},
			{
				name: "support.function",
				match: "\\b(VALDEF|DEFDEF|TYPEDEF)\\b"
			}
		]
	},
	keywords: {
		patterns: [
			{
				name: "constant.language",
				match: "\\b(Names|Trees)\\b"
			},
			{
				name: "entity.name.type",
				match: "\\b[A-Z]+[a-z]*\\b"
			}
		]
	},
	lines: {
		patterns: [
			{
				comment: "Position indicator",
				name: "comment.line",
				match: "[0-9]+:"
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/scalameta/metals-vscode/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var tasty = {
	$schema: $schema,
	name: name,
	extensions: extensions,
	scopeName: scopeName,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { $schema, tasty as default, extensions, information_for_contributors, name, patterns, repository, scopeName };
