var $schema = "https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json";
var fileTypes = [
];
var injectionSelector = "L:source.css -comment, L:source.postcss -comment, L:source.sass -comment, L:source.stylus -comment";
var patterns = [
	{
		include: "#vue-sfc-style-variable-injection"
	}
];
var repository = {
	"vue-sfc-style-variable-injection": {
		begin: "\\b(v-bind)\\s*\\(",
		name: "vue.sfc.style.variable.injection.v-bind",
		end: "\\)",
		beginCaptures: {
			"1": {
				name: "entity.name.function"
			}
		},
		patterns: [
			{
				begin: "('|\")",
				beginCaptures: {
					"1": {
						name: "punctuation.definition.tag.begin.html"
					}
				},
				end: "(\\1)",
				endCaptures: {
					"1": {
						name: "punctuation.definition.tag.end.html"
					}
				},
				name: "source.ts.embedded.html.vue",
				patterns: [
					{
						include: "source.js"
					}
				]
			},
			{
				include: "source.js"
			}
		]
	}
};
var scopeName = "vue.sfc.style.variable.injection";
var information_for_contributors = [
	"This file has been converted from https://github.com/johnsoncodehk/volar/blob/master/vue-language-tools/vscode-vue/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var vueSfcStyleVariableInjection = {
	$schema: $schema,
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { $schema, vueSfcStyleVariableInjection as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
