var comments = {
	lineComment: "#"
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	],
	[
		"'",
		"'"
	]
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	],
	[
		"'",
		"'"
	]
];
var folding = {
	offSide: true,
	markers: {
		start: "^\\s*#\\s*region\\b",
		end: "^\\s*#\\s*endregion\\b"
	}
};
var indentationRules = {
	increaseIndentPattern: "^\\s*.*(:|-) ?(&amp;\\w+)?(\\{[^}\"']*|\\([^)\"']*)?$",
	decreaseIndentPattern: "^\\s+\\}$"
};
var yaml = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	folding: folding,
	indentationRules: indentationRules
};

export { autoClosingPairs, brackets, comments, yaml as default, folding, indentationRules, surroundingPairs };
